TAAS - Feature #87

Attachment Category
11/02/2022 10:43 AM - Anil KV

Status: New Changes Coding Done Start date: 11/16/2022
Priority: Normal Due date:

Assignee: Vivekp V % Done: 70%
Category: Estimated time: 0:00 hour
Target version: 22.12 Spent time: 0:00 hour
Owner(Agency): Travvise Tested By: unnikannan S
Time Taken(HH): Code Reviewed By:

Module: Attachment Category

Description

Coding Attachment Category

History

#1 - 11/11/2022 12:47 PM - Junaid M
- File 1-CsModel.cs added

- File 2-tsModel.ts added

- File 3-CsFile.cs added

- File 4-CsControllerFile.cs added

- File 5-TsFile.ts added

- File 6-HtmliFile.html added

- File sql.sql added

- Status changed from New to Open

- % Done changed from 0 to 10

#2 - 11/11/2022 12:50 PM - Junaid M

1) Remove 2nd Save Button

2) Set sinActionFlag value on save/ update Choices are 0 -> No Action, 1 -> New (insert action), 2 -> Update action

3) Add Sys type widget In Type popup.

#3 - 11/12/2022 05:53 PM - Anil KV
- Assignee changed from Junaid M to Akash B

#4 - 11/17/2022 09:49 AM - Akash B

- Status changed from Open to Coding Started

- Start date changed from 11/02/2022 to 11/16/2022
- % Done changed from 10 to 40

#5 - 12/02/2022 09:49 AM - Akash B
- Status changed from Coding Started to Particialy Coding Done

#6 - 12/02/2022 09:51 AM - Akash B
Pending issues:

1.update
2.delete

#7 - 12/16/2022 10:57 AM - Akash B
- Status changed from Particialy Coding Done to Coding Started

#8 - 12/19/2022 05:23 PM - Akash B

05/04/2025

1/5




- Status changed from Coding Started to Coding Done
- % Done changed from 40 to 60

#9 - 12/20/2022 09:52 AM - Amal Cyriac

- Status changed from Coding Done to Reopen Bugs
- % Done changed from 60 to 50

- Tested By set to Amal Cyriac

ISSUE FOUND *****

1.FIX BUGS ON REFRESH BUTTON

(LIST EXPANDING WHILE CLICKING REFRESH)
2.SET PROPER COLORS FOR BUTTIONS
(CATEGORY & TYPE BUTTON --> BLUE)
3.REMOVE DUPLICATION

(CAN CREATE MORE THAN ONE TYPE/CATEGORY IN SAME NAME)

4.POP-UP RELATED ALERTS MUST ALIGNED WITH POP-UP

#10 - 12/20/2022 10:40 AM - Akash B
- Status changed from Reopen Bugs to Particialy Coding Done
- % Done changed from 50 to 40

#11 - 01/02/2023 10:32 AM - Amal Cyriac
- Status changed from Particialy Coding Done to Reopen Bugs
- % Done changed from 40 to 50

ISSUE FOUND *****

1.FIX BUGS ON REFRESH BUTTON

(LIST EXPANDING WHILE CLICKING REFRESH)
2.SET PROPER COLORS FOR BUTTONS
(CATEGORY & TYPE BUTTON --> BLUE)
3.REMOVE DUPLICATION

(CAN CREATE MORE THAN ONE TYPE/CATEGORY IN SAME NAME)

4.SET PROPER SYMBOLS/SIGNS FOR BUTTONS
5.SPELL CHECK ON TAB--> MODULE NAME

#12 - 01/16/2023 04:41 PM - Akash B
- Status changed from Reopen Bugs to Particialy Coding Done
- % Done changed from 50 to 40

#13 - 01/31/2023 11:30 AM - Amal Cyriac
- Status changed from Particialy Coding Done to Reopen Bugs
- % Done changed from 40 to 50

ISSUE FOUND *****
1.FIX DOUBLE ENTRY BUGS ON UPDATE

#14 - 02/25/2023 11:22 AM - Akash B
- Status changed from Reopen Bugs to Reopen Bugs Coding Done
- % Done changed from 50 to 60

#15 - 02/28/2023 03:18 PM - Amal Cyriac
- Status changed from Reopen Bugs Coding Done to Reopen Bugs
- % Done changed from 60 to 50

ISSUE FOUNDED *****

1.Fix duplication errors category

(add new category--> double click update button)
2.Fix duplication errors on type

(add new type--> double click up button)
IstMdIAttachmentCategoryTypes is not iterable
#16 - 03/17/2023 06:02 PM - Akash B
- Status changed from Reopen Bugs to Reopen Bugs Coding Done
- % Done changed from 50 to 60

#17 - 03/20/2023 04:16 PM - Amal Cyriac
- Status changed from Reopen Bugs Coding Done to Reopen Bugs
- % Done changed from 60 to 50

ISSUE FOUND *****
1.Fix bugs while delete
(Type , Category)
2.Prevent duplication
(Type , Category)

#18 - 04/10/2023 03:15 PM - Akash B
- Status changed from Reopen Bugs to Reopen Bugs Coding Done
- % Done changed from 50 to 60

Reported bugs fixed

#19 - 06/02/2023 05:58 PM - Amal Cyriac
- Status changed from Reopen Bugs Coding Done to Reopen Bugs

- % Done changed from 60 to 50

ISSUE FOUND *****
1.Prevent save/update on attachment category by two users at a time
2.Category order - Cant Change/Save category list items

#20 - 07/29/2023 11:08 AM - Akash B
- Status changed from Reopen Bugs to Reopen Bugs Coding Done
- % Done changed from 50 to 60

Bugs Fixed

#21 - 10/07/2023 05:21 PM - Junaid M
- Assignee changed from Akash B to Abhiram Venu

#22 - 10/10/2023 05:11 PM - unnikannan S
- Status changed from Reopen Bugs Coding Done to Reopen Bugs
- % Done changed from 60 to 50

- Tested By changed from Amal Cyriac to unnikannan S

ISSUE FOUNDED

FIXED 1.REMOVE SAME TOOL TIP TYPE
2.DRAG OPTION NOT WORKING PROPERLY

#23 - 11/10/2023 10:22 AM - Junaid M

- Assignee changed from Abhiram Venu to Shahil Haris

#24 - 11/25/2023 10:48 AM - Shahil Haris
- Status changed from Reopen Bugs to Particialy Coding Done
- % Done changed from 50 to 40

#25 - 01/31/2024 12:43 PM - Junaid M
- Assignee changed from Shahil Haris to Vivekp V

#26 - 02/01/2024 03:15 PM - Vivekp V
- Status changed from Particialy Coding Done to Reopen Bugs Coding Done

- % Done changed from 40 to 60

ISSUE FIXED
1.REMOVE SAME TOOL TIP TYPE
2.DRAG OPTION NOT WORKING PROPERLY

#27 - 02/01/2024 04:01 PM - unnikannan S
TESTING DONE

#28 - 02/20/2024 11:50 AM - Junaid M
- Status changed from Reopen Bugs Coding Done to Reopen Bugs
- % Done changed from 60 to 50

GUI CHANGES

—>Add 'Assets'

—>In Type

—-Add 'Warranty'

-Add 'Bill'

#29 - 02/23/2024 10:12 AM - Vivekp V

- Status changed from Reopen Bugs to Reopen Bugs Coding Done
- % Done changed from 50 to 60

GUI CHANGES DONE

>In Type
-Add 'Warranty'
-Add 'Bill

#30 - 02/26/2024 06:28 PM - Vivekp V
- Status changed from Reopen Bugs Coding Done to New Changes
- % Done changed from 70 to 50

#31 - 03/08/2024 01:05 PM - Vivekp V
- Status changed from New Changes to New Changes Coding Done

- % Done changed from 50 to 70

added in dataservices
Add 'Assets’
In Type

-Add 'Warranty'
-Add 'Bill

#32 - 10/14/2024 06:31 PM - unnikannan S
- Status changed from New Changes Coding Done to Testing Done

- % Done changed from 70 to 90

#33 - 11/18/2024 05:26 PM - Vivekp V
- Status changed from Testing Done to New Changes

- % Done changed from 90 to 50

New Changes Done
category:
change profile -> Pax Profile
add Employee

Type : System Type Add -> Authorized Letter
Attachment Category->Add Category->Category

Add
-Airline
-Hotel
-IATA

Attachment Category->Add Type->System Type
Add 'Fare Type Froof'

Attachment Category->System Type
National ID Proof

Student ID Proof

Seamen ID Proof

Military ID Proof

list name from type to -> Type Attributes blue star
title = "Selecting Mandatory or Optional will display the corresponding attributes on the chosen modules as mandatory or optional”

type attributes list add new items
. custom 5 (Date)

. custom 6 (Time)

. custom 7 (Date & Time)

. custom 8 (Amount)

. custom 9 (Number)

apsr OO =

#34 - 12/06/2024 09:52 AM - Vivekp V
- Status changed from New Changes to New Changes Coding Done

- % Done changed from 50 to 70

Files

2-tsModel.ts 2.17 KB 11/11/2022 Junaid M
1-CsModel.cs 4.84 KB 11/11/2022 Junaid M
3-CsFile.cs 21.6 KB 11/11/2022 Junaid M
4-CsControllerFile.cs 24.6 KB 11/11/2022 Junaid M
5-TsFile.ts 14.1 KB 11/11/2022 Junaid M
6-HtmlFile.html 1.92 KB 11/11/2022 Junaid M
sql.sql 25.9 KB 11/11/2022 Junaid M
